﻿@model JavnaNabava.Model.PonudaOcjenaKriterija

@{
    ViewData["Title"] = "Dodaj ocjenu kriterija";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj ocjenu kriterija na ponudu</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreatePPonudaOcjenaKriterija">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="OstvareniBodovi" class="control-label"></label>
                <input type="number" asp-for="OstvareniBodovi" class="form-control" />
                <span asp-validation-for="OstvareniBodovi" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FkNatjecajKriterijOcjenjivanjaId" class="control-label"></label>
                <select asp-for="FkNatjecajKriterijOcjenjivanjaId" class="form-control" asp-items="ViewBag.kriteriji">
                    <option selected value="" disabled>Odaberite kriterij ocjenjivanja</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkPonudaId" class="control-label"></label>
                <select asp-for="FkPonudaId" class="form-control" asp-items="ViewBag.ponude">
                    <option selected value="" disabled>Odaberite ponudu</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
